HAWQ-1062. Remove ASF incompatible Perl JSON module
authorEd Espino <espino@apache.org>
Tue, 20 Sep 2016 07:33:45 +0000 (00:33 -0700)
committerEd Espino <espino@apache.org>
Tue, 20 Sep 2016 09:54:17 +0000 (02:54 -0700)
commiteb10af42dfd23e71e6d8d46e8bbc48b5593d90c4
tree4ec5e2c16295db0f05de3b552cffc3569fc32dd4
parentf676c58e4d9f007b13e0e21942134c936c6cb94d
HAWQ-1062. Remove ASF incompatible Perl JSON module

* Remove JSON Perl Module (Artistic license) module (files and
  directory) from source tree.  The user wanting to run these Perl JSON
  module dependent scripts (tidycat.pl, calico.pl, caqluniqdef.pl) are
  instructed to download it from www.cpan.org if it is not found in dev
  environment.  Here is error message received if JSON Perl Module is
  not found:

    Fatal Error: The required package JSON is not installed -- please
    download it from www.cpan.org

  JSON Perl Module versions 2.27 through 2.90 are known to work.

* Update LICENSE file and remove licenses/LICENSE-json.txtfile.
LICENSE
licenses/LICENSE-json.txt [deleted file]
src/include/catalog/JSON.pm [deleted file]
src/include/catalog/JSON/PP.pm [deleted file]
src/include/catalog/JSON/PP/Boolean.pm [deleted file]
src/include/catalog/JSON/PP5005.pm [deleted file]
src/include/catalog/JSON/PP56.pm [deleted file]
src/include/catalog/JSON/PP58.pm [deleted file]